Subject: Re: bug#41506: 28.0.50; RTL problem

From: Eli Zaretskii <[email-masked]>
Date: Tue, 02 Jun 2020 22:07:48 +0300

> Date: Tue, 02 Jun 2020 19:34:31 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> So I guess whatever issues I had back then were meanwhile solved "by
> other means", and you should install this patch.  If there is indeed
> some subtlety here, it will present itself sooner or later (like, in
> another 11 years).

Btw, please note that some residual problem remains: after the patch,
if a buffer begins with 2 newlines and an RTL letter, the first screen
line is rendered right-to-left, which is wrong.  You can see that it's
wrong if you insert more newlines at BOB: then only the single empty
line immediately before the RTL letter is rendered right-to-left.

Of course, this is better than the original problem.